//
// Created by webpigeon on 17/04/22.
//

#ifndef FGGL_GFX_OGL4_CANVAS_HPP
#define FGGL_GFX_OGL4_CANVAS_HPP

#include "fggl/gfx/paint.hpp"
#include "fggl/gfx/ogl/types.hpp"

namespace fggl::gfx::ogl4 {

	class CanvasRenderer {
		public:
			CanvasRenderer();
			void render(GLuint shader, const gfx::Paint& paint);

		private:
			ogl::VertexArray m_vao;
			ogl::Buffer<ogl::BufType::ARRAY> m_vertexList;
			ogl::Buffer<ogl::BufType::ELEMENT_ARRAY> m_indexList;
	};

} // namespace fggl::gfx::ogl4

#endif //FGGL_GFX_OGL4_CANVAS_HPP
